<?xml version='1.0' encoding='utf-8'?>

<!-- 

======================================================================================
Firma:            Voith Turbo
Projekt:          Voith Diagnostic Tools XSL-Formating for HTML Presentation of CAN-Data
Dateiname:        CAN_MessagesForCom.XSL

Beschreibung:     XSL - Template for CAN-Data-Formating
                  Es werden zwei Tabellen mit allen Receive & alle Transmit Messages
                  dargestellt
Doc in:           No
Ersterstellung:   /2009 - RThe
======================================================================================

 -->


<xsl:stylesheet version='2.0'
xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>


  <xsl:template name="CAN2HTML_Formater_MessagesForCom" match=' / '>

         
    
       <!-- 
        ** Ein- / Ausblenden **        
        -->

    <table border="0" width="100%" id="table100" height="43">
    <tr>
      <td width="47" style="vertical-align: middle" height="43">
        <h1 style="margin-top: 0; margin-bottom: 0; text-align:center">
          <a onclick="return EP_toggleMe('ID_MessagesForCom')" href="javascript:void(0)">
            <img border="0" src="Resources/XSL/Images/_System_Folder_Closed.gif" name="ID_Content_Grafic" />
          </a>
        </h1>
      </td>
      <td style="vertical-align: middle" height="43">
        <a onclick="return EP_toggleMe('ID_MessagesForCom')" href="javascript:void(0)">
          <p class="header" style="margin-top: 0; margin-bottom: 0"/>
          <script>
            document.write(' <P class='ueberschrift04'>CAN-Messages for Communication with E300 / E300.1</P>');
          </script>
        </a>
      </td>
    </tr>
  </table>


        <!-- 
        ** TabellenDefinitionen **        
        -->

    <div id="ID_MessagesForCom" style="display:block">

      <!-- 
        ** CAN Receive Messages Tabelle **        
        -->

      <table>
        <tr>
          <a name='ID_MessagesForCom_List' /> 
          <td width ="120">
            <img SRC="Resources/XSL/Images/_MarginalReceive.gif" alt="Recive Message" width="80" height="28" border ="0"  />
          </td>

          <td>
            <p class="uDocHeader02" style="margin-top: 0; margin-bottom: 0" >
             CAN-Receive Messages
            </p>
            <br></br>
          </td>
        </tr>

        <tr>
          <td width="120"></td>
          <td>
            <table border='0'  width="580">

              <tr>
                <td              class='TabBorder1'>Message</td>
                <td              class='TabBorder1'>Description</td>
                <td width='80'   class='TabBorder1'>Mandatory</td>
                <td width='80'   class='TabBorder1'>Optional</td>
                <td              class='ContentBody1'></td>

              </tr>

              <xsl:for-each select='VoithDiagnosticToolsCAN/CANDeclaration/CanMessage'>

                <xsl:if test='ReceiveMessage'>
                  <tr>
                    
                    <td class='TabBody1'>
                      <xsl:value-of select='Name'/> </td>
                    <td class='TabBody1'>
                      <xsl:value-of select='Description'/></td>
                    <xsl:choose>
                      <xsl:when test='IsOptional'>
                        <td class='TabBody1'>
                          <p style="text-align: center">
                            <img SRC="Resources/XSL/Images/_Bulletfilled.gif" alt="Bullet Filled" border ="0"/>
                          </p>
                        </td>
                        <td class='TabBody1'> </td>
                      </xsl:when>
                      <xsl:otherwise>
                        <td class='TabBody1'> </td>
                        <td class='TabBody1'>
                          <p style="text-align: center">
                            <img SRC="Resources/XSL/Images/_Bulletfilled.gif" alt="Bullet Filled" border ="0"/>
                          </p>
                        </td>
                      </xsl:otherwise>
                    </xsl:choose>
                                      
                   
                    <td class='ContentBody1'> </td>
                  
                  </tr>
                </xsl:if>
              </xsl:for-each>
            </table>

            </td>
        </tr>
      </table>

      <br></br>
      <br></br>
      <br></br>
      <br></br>
      <br></br>
      
      <!-- 
        ** CAN Transmit Messages Tabelle **        
        -->

      <table>
        <tr>
          <td width ="120">
            <img SRC="Resources/XSL/Images/_MarginalTransmit.gif" alt="Recive Message" width="80" height="28" border ="0"  />
          </td>

          <td>
            <p class="uDocHeader02" style="margin-top: 0; margin-bottom: 0" >
              CAN-Transmit Messages
            </p>
            <br></br>
          </td>
        </tr>

        <tr>
          <td width="120"></td>
          <td>
            <table border='0'  width="580">



              <tr>
                <td              class='TabBorder1'>Message</td>
                <td              class='TabBorder1'>Description</td>               
                <td              class='ContentBody1'></td>

              </tr>

              <xsl:for-each select='VoithDiagnosticToolsCAN/CANDeclaration/CanMessage'>

                <xsl:if test='TransmitMessage'>
                  <tr>

                    <td class='TabBody1'>
                      <xsl:value-of select='Name'/>
                    </td>
                    <td class='TabBody1'>
                      <xsl:value-of select='Description'/>
                    </td>    

                    <td class='ContentBody1'> </td>

                  </tr>
                </xsl:if>
              </xsl:for-each>
            </table>

          </td>
        </tr>
      </table>

      <br/>
      <a href="#TOP">
        <img border="0" align='Right'  src="Resources/XSL/Images/_System_ArrowTop.gif" />
      </a>
      <hr color="#000099"/>
    </div>


    <br/>
    
    <hr color="#000099"/>

  </xsl:template>

</xsl:stylesheet>
